## org.apache.commons.math3.exception.util
Interface Localizable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DummyLocalizable, LocalizedFormats

    public interface Localizable

extends Serializable

Interface for localizable strings.

Since:
  2.2
Version:
  $Id: Localizable.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`String` `getLocalizedString(Locale locale)` Gets the localized string.
`String` `getSourceString()` Gets the source (non-localized) string.

Method Detail

### getSourceString

    String getSourceString()

  Gets the source (non-localized) string.

  Returns:
    the source string.

### getLocalizedString

    String getLocalizedString(Locale locale)

  Gets the localized string.

  Parameters:
    `locale` - locale into which to get the string.
  Returns:
    the localized string or the source string if no localized version is available.

Copyright (c) 2003-2013 Apache Software Foundation